ConcatFileInputStream (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.util, class: ConcatFileInputStream

Package org.apache.tools.ant.util

# Class ConcatFileInputStream

java.lang.Object
java.io.InputStream
org.apache.tools.ant.util.ConcatFileInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class ConcatFileInputStream extends InputStream
Special `InputStream` that will concatenate the contents of an array of files.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConcatFileInputStream(File[] file)`
  Construct a new `ConcatFileInputStream` with the specified `File[]`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  Close the stream.
  `void`
  `log(String message, int loglevel)`
  Log a message with the specified logging level.
  `int`
  `read()`
  Read a byte.
  `void`
  `setManagingComponent(ProjectComponent pc)`
  Set a managing `Task` for this `ConcatFileInputStream`.
  `void`
  `setManagingTask(Task task)`
  Set a managing `Task` for this `ConcatFileInputStream`.

  ### Methods inherited from class java.io.InputStream

  `available, mark, markSupported, nullInputStream, read, read, readAllBytes, readNBytes, readNBytes, reset, skip, skipNBytes, transferTo`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConcatFileInputStream

    public ConcatFileInputStream(File[] file) throws IOException
    Construct a new `ConcatFileInputStream` with the specified `File[]`.
    Parameters:
      `file` - `File[]`.
    Throws:
      `IOException` - if I/O errors occur.

- ## Method Details

  - ### close

    public void close() throws IOException
    Close the stream.
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Overrides:
      `close` in class `InputStream`
    Throws:
      `IOException` - if there is an error.

  - ### read

    public int read() throws IOException
    Read a byte.
    Specified by:
      `read` in class `InputStream`
    Returns:
      the byte (0 - 255) or -1 if this is the end of the stream.
    Throws:
      `IOException` - if there is an error.

  - ### setManagingTask

    public void setManagingTask(Task task)
    Set a managing `Task` for this `ConcatFileInputStream`.
    Parameters:
      `task` - the managing `Task`.

  - ### setManagingComponent

    public void setManagingComponent(ProjectComponent pc)
    Set a managing `Task` for this `ConcatFileInputStream`.
    Parameters:
      `pc` - the managing `Task`.

  - ### log

    public void log(String message, int loglevel)
    Log a message with the specified logging level.
    Parameters:
      `message` - the `String` message.
      `loglevel` - the `int` logging level.